FROM registry.hub.docker.com/bitnami/minideb:bullseye

#RUN apt-get update
# following ones get updated, so they are not installed from Debian package repo: python3-sphinx python3-pybtex-docutils
RUN install_packages pip jupyter-notebook python3-anyio python3-greenlet python3-click python3-jupyter-server python3-sqlalchemy python3-latexcodec python3-nbclient python3-nest-asyncio python3-smmap python3-soupsieve python3-toml python3-pybtex
#RUN apt-get install -y pip jupyter-notebook python3-anyio python3-greenlet python3-click python3-jupyter-server python3-sqlalchemy python3-latexcodec python3-nbclient python3-nest-asyncio python3-smmap python3-soupsieve python3-toml python3-pybtex && apt-get clean && rm -r /var/lib/apt /usr/share/doc /usr/share/man
RUN pip install jupyter-book && rm -r /root/.cache/pip

RUN mkdir -p /root/documentation
COPY . /root/documentation
RUN cd /root/documentation && jupyter-book build .

# TODO make build book accessible through a webserver
